{% extends 'analytics/base.html' %}

{% block content %}
    <h1>User Profile</h1>
    <div class="user-info">
        <p><strong>Username:</strong> {{ user.username }}</p>
        <p><strong>Email:</strong> {{ user.email }}</p>
        <p><strong>Date Joined:</strong> {{ user.date_joined|date:"Y-m-d" }}</p>
        <p><strong>Average Rating Given:</strong> {{ average_rating }}</p>
    </div>

    <h2>Top 10 Rated Books</h2>
    <div id="user-top-books-plot">
        {{ plot_user_top_books|safe }}
    </div>

{% endblock %}
